---
title: Get a response by response ID
slug: api/get-a-response-by-response-id
docTags: 
createdAt: 2026-03-01T03:12:36.506Z
---

{
  "id": "X2XgSSbcPMQjJak_Bg2KD",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://openapi.sine.co/v1/api/workflows/response/{responseId}",
    "servers": [
      {
        "url": "https://openapi.sine.co/v1/api/workflows/response/{responseId}",
        "description": "Sine Public API"
      }
    ],
    "name": "Get a response by response ID",
    "description": "Fetches individual response details by its id",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "responseId",
          "type": "object",
          "description": "",
          "schema": [],
          "complexItems": [
            {
              "name": "UUID",
              "schema": []
            },
            {
              "name": "ObjectId",
              "schema": []
            }
          ],
          "complexType": "oneOf"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-sine-team-id",
          "type": "string<uuid>",
          "description": "The UUID of the Team",
          "format": "uuid"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "bearerAuth",
          "name": "bearerAuth",
          "kind": "optional",
          "type": "http",
          "description": "<p>To obtain a token, call <code>POST /oauth2/token</code> with your <code>client_id</code> and <code>client_secret</code>. The returned <code>access_token</code> is then used as a Bearer token for all subsequent requests.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "responseId",
                "kind": "optional",
                "type": "string<uuid>",
                "description": "",
                "example": "5ac705fa211700000539cb25",
                "format": "uuid"
              },
              {
                "name": "responseUUID",
                "kind": "optional",
                "type": "string<uuid>",
                "description": "",
                "example": "f03cd429-9e80-4fdd-bd9a-d9dcbb2417fb",
                "format": "uuid"
              },
              {
                "name": "workflowId",
                "kind": "optional",
                "type": "string<uuid>",
                "description": "",
                "example": "5ac705fa211700000539cb25",
                "format": "uuid"
              },
              {
                "name": "workflowUUID",
                "kind": "optional",
                "type": "string<uuid>",
                "description": "",
                "example": "f03cd429-9e80-4fdd-bd9a-d9dcbb2417fb",
                "format": "uuid"
              },
              {
                "name": "teamId",
                "kind": "optional",
                "type": "string<uuid>",
                "description": "",
                "format": "uuid"
              },
              {
                "name": "uniqueIdentifier",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "state",
                "kind": "optional",
                "type": "string<pending | accepted | rejected | invalidated | expired>",
                "description": "",
                "example": "accepted",
                "enum": [
                  "pending",
                  "accepted",
                  "rejected",
                  "invalidated",
                  "expired"
                ]
              },
              {
                "name": "startDate",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "",
                "example": "2020-12-30T04:48:51.438Z",
                "format": "date-time"
              },
              {
                "name": "endDate",
                "kind": "optional",
                "type": "string<date-time>",
                "nullable": true,
                "description": "",
                "example": "2020-12-30T04:48:51.438Z",
                "format": "date-time"
              },
              {
                "name": "expiryDate",
                "kind": "optional",
                "type": "string<date-time>",
                "nullable": true,
                "description": "",
                "example": "2020-12-30T04:48:51.438Z",
                "format": "date-time"
              },
              {
                "name": "workflowName",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "isAutoApproved",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "companyDetails",
                "kind": "optional",
                "type": "object",
                "description": "",
                "example": "",
                "schema": [
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  }
                ]
              },
              {
                "name": "approvedBy",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "action",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "state",
                    "kind": "optional",
                    "type": "string<pending | accepted | rejected | invalidated | expired>",
                    "description": "",
                    "enum": [
                      "pending",
                      "accepted",
                      "rejected",
                      "invalidated",
                      "expired"
                    ]
                  },
                  {
                    "name": "firstName",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "lastName",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "email",
                    "kind": "optional",
                    "type": "string<email>",
                    "description": "",
                    "format": "email"
                  },
                  {
                    "name": "date",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "nullable": true,
                    "description": "",
                    "format": "date-time"
                  },
                  {
                    "name": "message",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  }
                ]
              },
              {
                "name": "rejectedBy",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "action",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "state",
                    "kind": "optional",
                    "type": "string<pending | accepted | rejected | invalidated | expired>",
                    "description": "",
                    "enum": [
                      "pending",
                      "accepted",
                      "rejected",
                      "invalidated",
                      "expired"
                    ]
                  },
                  {
                    "name": "firstName",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "lastName",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "email",
                    "kind": "optional",
                    "type": "string<email>",
                    "description": "",
                    "format": "email"
                  },
                  {
                    "name": "date",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "nullable": true,
                    "description": "",
                    "format": "date-time"
                  },
                  {
                    "name": "message",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  }
                ]
              },
              {
                "name": "note",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": ""
              },
              {
                "name": "tags",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  }
                ]
              },
              {
                "name": "applicants",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "isPrimaryApplicant",
                    "kind": "optional",
                    "type": "boolean",
                    "description": ""
                  },
                  {
                    "name": "firstName",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "lastName",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "email",
                    "kind": "optional",
                    "type": "string<email>",
                    "description": "",
                    "format": "email"
                  },
                  {
                    "name": "mobile",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "company",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  }
                ]
              },
              {
                "name": "sites",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "address",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  }
                ]
              },
              {
                "name": "forms",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "formResponseId",
                    "kind": "optional",
                    "type": "string<uuid>",
                    "description": "",
                    "format": "uuid"
                  },
                  {
                    "name": "type",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "userDetails",
                    "kind": "optional",
                    "type": "object",
                    "nullable": true,
                    "description": "",
                    "example": "",
                    "schema": [
                      {
                        "name": "firstName",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "lastName",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "email",
                        "kind": "optional",
                        "type": "string<email>",
                        "description": "",
                        "format": "email"
                      },
                      {
                        "name": "mobile",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "company",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      }
                    ]
                  },
                  {
                    "name": "answers",
                    "kind": "optional",
                    "type": "array",
                    "description": "Form field answers. Only present when includeAnswerIds query parameter is provided. Only textbox and multipleChoice field types are supported.",
                    "example": "",
                    "itemType": "object",
                    "customType": "object[]",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "optional",
                        "type": "string",
                        "description": "The field ID"
                      },
                      {
                        "name": "value",
                        "kind": "optional",
                        "type": "",
                        "description": "The answer value"
                      }
                    ]
                  }
                ]
              },
              {
                "name": "createdAt",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "",
                "example": "2020-12-30T04:48:51.438Z",
                "format": "date-time"
              },
              {
                "name": "updatedAt",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "",
                "example": "2020-12-30T04:48:51.438Z",
                "format": "date-time"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad request",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"BAD_REQUEST\",\"message\":\"The request is invalid\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "BAD_REQUEST"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom Error Message",
                "example": "The request is invalid"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Unauthorized",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"UNAUTHORIZED\",\"message\":\"Invalid authentication credentials\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "UNAUTHORIZED"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom error message",
                "example": "Invalid authentication credentials"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"FORBIDDEN\",\"message\":\"You are not allowed to access this information\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "FORBIDDEN"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom error message",
                "example": "You are not allowed to access this information"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Resource not found",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"SITE_NOT_FOUND\",\"message\":\"SiteNotFoundError\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "SITE_NOT_FOUND"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom error message",
                "example": "SiteNotFoundError"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "424",
        "description": "Service dependency failed",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"CONSUMER_ERROR\",\"message\":\"Unexpected error while communicating with downstream service, please try again\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "CONSUMER_ERROR"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom error message",
                "example": "Unexpected error while communicating with downstream service, please try again"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "429",
        "description": "Too many requests",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"RATE_LIMITED\",\"message\":\"API rate limit exceeded\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "RATE_LIMITED"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom error message",
                "example": "API rate limit exceeded"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "500",
        "description": "Internal server error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"INTERNAL_SERVER_ERROR\",\"message\":\"Something went wrong, please try again later\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "INTERNAL_SERVER_ERROR"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom error message",
                "example": "Something went wrong, please try again later"
              }
            ],
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "OZPz60DDDSG9v4vHRoq_8",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://openapi.sine.co/v1/api/workflows/response/{responseId} \\\n     --header 'accept: application/json' \\\n     --header 'x-sine-team-id: string<uuid>'"
        },
        {
          "id": "xJaxrG-lQjXtrHmWHA1Vp",
          "language": "javascript",
          "label": "JavaScript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-sine-team-id\", \"string<uuid>\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://openapi.sine.co/v1/api/workflows/response/{responseId}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "MQE_AmslzQcbfuaTygGlc",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://openapi.sine.co/v1/api/workflows/response/{responseId}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-sine-team-id': 'string<uuid>'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "OZPz60DDDSG9v4vHRoq_8"
    },
    "results": {
      "languages": [
        {
          "id": "0ryT_ojQjr13xLw7SdHlk",
          "language": "200",
          "code": "// OK\n{\n  \"responseId\": \"5ac705fa211700000539cb25\",\n  \"responseUUID\": \"f03cd429-9e80-4fdd-bd9a-d9dcbb2417fb\",\n  \"workflowId\": \"5ac705fa211700000539cb25\",\n  \"workflowUUID\": \"f03cd429-9e80-4fdd-bd9a-d9dcbb2417fb\",\n  \"teamId\": \"\",\n  \"uniqueIdentifier\": \"\",\n  \"state\": \"accepted\",\n  \"startDate\": \"2020-12-30T04:48:51.438Z\",\n  \"endDate\": \"2020-12-30T04:48:51.438Z\",\n  \"expiryDate\": \"2020-12-30T04:48:51.438Z\",\n  \"workflowName\": \"\",\n  \"isAutoApproved\": false,\n  \"companyDetails\": {\n    \"name\": \"\"\n  },\n  \"approvedBy\": [\n    {\n      \"action\": \"\",\n      \"state\": \"\",\n      \"firstName\": \"\",\n      \"lastName\": \"\",\n      \"email\": \"\",\n      \"date\": \"\",\n      \"message\": \"\"\n    }\n  ],\n  \"rejectedBy\": [\n    {\n      \"action\": \"\",\n      \"state\": \"\",\n      \"firstName\": \"\",\n      \"lastName\": \"\",\n      \"email\": \"\",\n      \"date\": \"\",\n      \"message\": \"\"\n    }\n  ],\n  \"note\": \"\",\n  \"tags\": [\n    {\n      \"name\": \"\"\n    }\n  ],\n  \"applicants\": [\n    {\n      \"isPrimaryApplicant\": false,\n      \"firstName\": \"\",\n      \"lastName\": \"\",\n      \"email\": \"\",\n      \"mobile\": \"\",\n      \"company\": \"\"\n    }\n  ],\n  \"sites\": [\n    {\n      \"id\": \"\",\n      \"name\": \"\",\n      \"address\": \"\"\n    }\n  ],\n  \"forms\": [\n    {\n      \"formResponseId\": \"\",\n      \"type\": \"\",\n      \"userDetails\": {\n        \"firstName\": \"\",\n        \"lastName\": \"\",\n        \"email\": \"\",\n        \"mobile\": \"\",\n        \"company\": \"\"\n      },\n      \"answers\": [\n        {\n          \"id\": \"\",\n          \"value\": \"\"\n        }\n      ]\n    }\n  ],\n  \"createdAt\": \"2020-12-30T04:48:51.438Z\",\n  \"updatedAt\": \"2020-12-30T04:48:51.438Z\"\n}"
        },
        {
          "id": "twYGFyy2fS3jAoRzMCzSd",
          "language": "400",
          "code": "// Bad request\n{\n  \"code\": \"BAD_REQUEST\",\n  \"message\": \"The request is invalid\"\n}"
        },
        {
          "id": "plftMp7XKI0u9TLWqmr9I",
          "language": "401",
          "code": "// Unauthorized\n{\n  \"code\": \"UNAUTHORIZED\",\n  \"message\": \"Invalid authentication credentials\"\n}"
        },
        {
          "id": "6yKa1KsKyyZOruF6dUIcK",
          "language": "403",
          "code": "// Forbidden\n{\n  \"code\": \"FORBIDDEN\",\n  \"message\": \"You are not allowed to access this information\"\n}"
        },
        {
          "id": "MVKwVkgAaidF1fbjukjzT",
          "language": "404",
          "code": "// Resource not found\n{\n  \"code\": \"SITE_NOT_FOUND\",\n  \"message\": \"SiteNotFoundError\"\n}"
        },
        {
          "id": "wEztfGjiogYrcaJsGKJuq",
          "language": "424",
          "code": "// Service dependency failed\n{\n  \"code\": \"CONSUMER_ERROR\",\n  \"message\": \"Unexpected error while communicating with downstream service, please try again\"\n}"
        },
        {
          "id": "r1WiytJ34Lqmk2vWYnF4y",
          "language": "429",
          "code": "// Too many requests\n{\n  \"code\": \"RATE_LIMITED\",\n  \"message\": \"API rate limit exceeded\"\n}"
        },
        {
          "id": "N3lB3QSCQUqYeOML7F0JY",
          "language": "500",
          "code": "// Internal server error\n{\n  \"code\": \"INTERNAL_SERVER_ERROR\",\n  \"message\": \"Something went wrong, please try again later\"\n}"
        }
      ],
      "selectedLanguageId": "0ryT_ojQjr13xLw7SdHlk"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}